Subject: procmail and NTSEC
From: Ajay Simha <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Sat, 15 Feb 2003 10:20:30 -0500

Hi,

When I had NTSEC on I'd get:

$ procmail VERBOSE=yes .procmailrc < testmail
procmail: [3936] Wed Feb 12 00:39:58 2003
procmail: Suspicious rcfile "/home/asimha/.procmailrc"
procmail: Couldn't read "/home/asimha/.procmailrc"
procmail: Locking "/var/spool/mail/asimha.lock"
procmail: Assigning "LASTFOLDER=/var/spool/mail/asimha"
procmail: Opening "/var/spool/mail/asimha"
procmail: Acquiring kernel-lock
procmail: [3936] Wed Feb 12 00:39:59 2003
procmail: Unlocking "/var/spool/mail/asimha.lock"
>From [email-masked] Wed Feb 12 00:33:36 2003
 Subject: test for procmail
  Folder: /var/spool/mail/asimha 

I tried various things including the chmod 644 that you had suggested on the mailing 
list but nothing has worked.

However without NTSEC (environment variable CYGWIN set to NONTSEC) it works fine:

[asimha@ASIMHA-W2K ~]$ procmail VERBOSE=yes .procmailrc < testmail
procmail: [212] Sat Feb 15 10:17:18 2003
procmail: Rcfile: "/home/asimha/.procmailrc"
procmail: Assigning "MAILDIR=/home/asimha"
procmail: Assigning "MAILDIR=/home/asimha/mail/"
procmail: Assigning "FORMAIL=/usr/bin/formail"
procmail: Assigning "LOGFILE=/home/asimha/procmail.log"
procmail: Opening "/home/asimha/procmail.log"
[asimha@ASIMHA-W2K ~]$ 

problem is that I'd rather run NTSEC because things like ssh depend on it.

SSH is not happy with my permissions when I go to NONTSEC.

I also tried putting my .procmailrc on my desktop (outside the cygwin dir structure)
and it works fine. How can I fix this?

Please keep me in the CC list in addition to posting.

Thanks,

-ajay

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/